(function() {
    var nextPageUrl;
    var currentUrl = window.location.href;
    var pageTagA = document.getElementsByTagName('a');
    var pageTagALength = pageTagA.length;
    var regHref = new RegExp( '(' + currentUrl + '\\#*$' + ')' );
    if (pageTagA && pageTagALength > 0) {
        nextPageUrl = findNextPageUrl('下一页|下页|next page|next');
        nextPageUrl = nextPageUrl ? nextPageUrl : findNextPageUrl('下一条|下一篇|下篇|下一章|下章|下一节|下节');
        if (nextPageUrl) {
            window.nextpage.notifyFoundNextPage(nextPageUrl, currentUrl);
        }
    }
    function findNextPageUrl(reg) {
        reg = new RegExp(reg, 'i');
        for(var i = 0; i < pageTagALength; i++) {
            var item = pageTagA[i];
            var itemHtml = item.innerHTML.toLowerCase();
            var itemHref = item.href;
            if(reg.test(itemHtml) && !regHref.test(itemHref)) {
                return item.href;
            }
        }
        return null;
    }
})();